For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AI agentsStatus PageContact sales
HomeGuidesDeveloper ToolsChangelogsCookbooks
HomeGuidesDeveloper ToolsChangelogsCookbooks
    • Payabli developer overview
    • Developer quickstart
    • Developer testing guide
    • Test accounts
  • API
    • Using the API
    • API responses
    • API changelog
          • POSTAuthorize payout
          • GETCapture payout
          • POSTCapture list of payouts
          • DELCancel payout
          • GETCancel payout (deprecated)
          • POSTCancel list of payouts
          • GETGet payout details
          • GETGet payout check image
          • PATCHUpdate check payment status
          • POSTReissue payout
    • Webhooks
  • Embedded Components
    • Overview
    • EmbeddedMethod UI
    • PayMethod UI
    • VirtualTerminal UI
    • ExpressCheckout UI
    • Changelog
  • Server SDKs
    • Server SDKs overview
  • Other tools
    • Postman collection
    • Payabli MCP
    • Example apps

© 2026 Centavo, Inc. All rights reserved | Centavo (DBA Payabli) is a registered Payment Facilitator of PNC Bank, N.A., Pittsburgh, PA. Payabli is a registered ISO/MSP of Merrick Bank, South Jordan, UT.

PayabliTest Cards & AccountsPay In StatusesPay Out StatusesTrust Center
LogoLogo
AI agentsStatus PageContact sales
APIPay Out endpointsPayouts

Update check payment status

|View as Markdown|Open in Claude|
PATCH
/MoneyOut/status/:transId/:checkPaymentStatus
PATCH
/api/MoneyOut/status/:transId/:checkPaymentStatus
$curl -X PATCH https://api-sandbox.payabli.com/api/MoneyOut/status/TRANS123456/5 \
> -H "requestToken: <apiKey>"
1{
2 "responseText": "Success",
3 "responseCode": 1,
4 "pageIdentifier": null,
5 "roomId": 0,
6 "isSuccess": true,
7 "responseData": "TRANS123456"
8}
Updates the status of a processed check payment transaction. This endpoint handles the status transition, updates related bills, creates audit events, and triggers notifications. The transaction must meet all of the following criteria: - **Status**: Must be in Processing or Processed status. - **Payment method**: Must be a check payment method. ### Allowed status values | Value | Status | Description | |-------|--------|-------------| | `0` | Cancelled/Voided | Cancels the check transaction. Reverts associated bills to their previous state (Approved or Active), creates "Cancelled" events, and sends a `payout_transaction_voidedcancelled` notification if the notification is enabled. | | `5` | Paid | Marks the check transaction as paid. Updates associated bills to "Paid" status, creates "Paid" events, and sends a `payout_transaction_paid` notification if the notification is enabled. |
Was this page helpful?
Previous

Get payout check image

Next

Reissue payout

Updates the status of a processed check payment transaction. This endpoint handles the status transition, updates related bills, creates audit events, and triggers notifications.

The transaction must meet all of the following criteria:

  • Status: Must be in Processing or Processed status.
  • Payment method: Must be a check payment method.

Allowed status values

ValueStatusDescription
0Cancelled/VoidedCancels the check transaction. Reverts associated bills to their previous state (Approved or Active), creates “Cancelled” events, and sends a payout_transaction_voidedcancelled notification if the notification is enabled.
5PaidMarks the check transaction as paid. Updates associated bills to “Paid” status, creates “Paid” events, and sends a payout_transaction_paid notification if the notification is enabled.

Authentication

requestTokenstring
API Key authentication via header

Path parameters

transIdstringRequired
The Payabli transaction ID for the check payment.
checkPaymentStatusenumRequired

The new status to apply to the check transaction. To mark a check as Paid, send 5. To mark a check as Cancelled, send 0.

Allowed values:

Response

Success
responseTextstring

Response text for operation: ‘Success’ or ‘Declined’.

responseCodeinteger

Code for the response. Learn more in API Response Codes.

pageIdentifierstring
Auxiliary validation used internally by payment pages and components.
roomIdlong

Describes the room ID. Only in use on Boarding endpoints, returns 0 when not applicable.

isSuccessboolean

Boolean indicating whether the operation was successful. A true value indicates success. A false value indicates failure.

responseDatastring or integer
The response data.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error